Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class PropertyBinding

    java.lang.Object
      org.codehaus.groovy.binding.PropertyBinding

All Implemented Interfaces:
  SourceBinding, TargetBinding, TriggerBinding

    public class PropertyBinding

Authors:
  Danno Ferrin
  Andres Almiray

Version:
  \$Revision\$

Since:
  Groovy 1.1

Nested Class Summary
`enum` | `PropertyBinding.UpdateStrategy`

Constructor Summary
`PropertyBinding(java.lang.Object bean, java.lang.String propertyName)`
`PropertyBinding(java.lang.Object bean, java.lang.String propertyName, java.lang.String updateStrategy)`
`PropertyBinding(java.lang.Object bean, java.lang.String propertyName, PropertyBinding.UpdateStrategy updateStrategy)`

Method Summary
`FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
`java.lang.Object` | `getBean()`
`java.lang.String` | `getPropertyName()`
`java.lang.Object` | `getSourceValue()`
`PropertyBinding.UpdateStrategy` | `getUpdateStrategy()`
`boolean` | `isNonChangeCheck()`
`void` | `setBean(java.lang.Object bean)`
`void` | `setNonChangeCheck(boolean nonChangeCheck)`
`void` | `setPropertyName(java.lang.String propertyName)`
`void` | `updateTargetValue(java.lang.Object newValue)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PropertyBinding

    public PropertyBinding(java.lang.Object bean, java.lang.String propertyName)

### PropertyBinding

    public PropertyBinding(java.lang.Object bean, java.lang.String propertyName, java.lang.String updateStrategy)

### PropertyBinding

    public PropertyBinding(java.lang.Object bean, java.lang.String propertyName, PropertyBinding.UpdateStrategy updateStrategy)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding source, TargetBinding target)

### getBean

    public java.lang.Object getBean()

### getPropertyName

    public java.lang.String getPropertyName()

### getSourceValue

    public java.lang.Object getSourceValue()

### getUpdateStrategy

    public PropertyBinding.UpdateStrategy getUpdateStrategy()

### isNonChangeCheck

    public boolean isNonChangeCheck()

### setBean

    public void setBean(java.lang.Object bean)

### setNonChangeCheck

    public void setNonChangeCheck(boolean nonChangeCheck)

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

### updateTargetValue

    public void updateTargetValue(java.lang.Object newValue)

Groovy Documentation